Page MenuHomePhabricator

csharp: updating GenericModel.cs docs.
ClosedPublic

Authored by brunobelo on Oct 11 2019, 1:03 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
brunobelo created this revision.Oct 11 2019, 1:03 PM
brunobelo requested review of this revision.Oct 11 2019, 1:03 PM
lauromoura accepted this revision.Oct 13 2019, 9:12 PM
lauromoura added inline comments.
src/bindings/mono/efl_mono/GenericModel.cs
46

"The list of properties in the model"

63

"An <see...> that resolves when the property has been set or reports an error if it could not be set."

79

"that resolves"

88

"A <see...> that resolves to an <see cref="Eina.Array" /> of children models."

96

"The object to be wrapped."

142

"Task that resolves when the property has been set or could not be set."

152

"Task that resolves when the given property is ready to be read."

163

Task that resolves when the desired <see cref="Eina.Array" /> of children models is ready."

This revision is now accepted and ready to land.Oct 13 2019, 9:12 PM
lauromoura requested changes to this revision.Oct 13 2019, 9:13 PM

Wooops. Wrong action before,

This revision now requires changes to proceed.Oct 13 2019, 9:13 PM
lauromoura requested changes to this revision.Oct 14 2019, 1:55 PM
lauromoura added inline comments.
src/bindings/mono/efl_mono/GenericModel.cs
46

Properties :)

63

hat/that.

64

Two period.s

96

Technically, o is the object we will get the properties from and not the child, as we first create a new child to set the properties from O.

A better doc would be "The object to get the properties from."

This revision now requires changes to proceed.Oct 14 2019, 1:55 PM
lauromoura accepted this revision.Oct 14 2019, 2:36 PM
This revision is now accepted and ready to land.Oct 14 2019, 2:36 PM
This revision was automatically updated to reflect the committed changes.